player_sonar_geom Struct Reference

Data AND Request/reply: geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | poses_count
| The number of valid poses. More...
player_pose3d_t * | poses
| Pose of each sonar, in robot cs.

## Detailed Description

Data AND Request/reply: geometry.

To query the geometry of the sonar transducers, send a null PLAYER_SONAR_REQ_GET_GEOM request. Depending on the underlying driver, this message can also be sent as data with the subtype PLAYER_SONAR_DATA_GEOM.

## Member Data Documentation

uint32_t player_sonar_geom::poses_count

The number of valid poses.

Referenced by RFLEX::Main(), and RFLEX::ProcessMessage().

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45